## org.codehaus.plexus.collections
Class DefaultActiveSet

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveSet
          org.codehaus.plexus.collections.DefaultActiveSet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set, ActiveCollection, ActiveSet, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultActiveSet

extends AbstractActiveSet
implements ActiveSet, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable, org.codehaus.plexus.logging.LogEnabled

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveSet
`ROLE`

Constructor Summary
`DefaultActiveSet()`
`DefaultActiveSet(org.codehaus.plexus.PlexusContainer container, java.lang.Class role)`
`DefaultActiveSet(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`boolean` `checkedContains(java.lang.Object value)` Same as `Set.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsAll(java.util.Collection collection)` Same as `Set.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedIsEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.util.Iterator` `checkedIterator()` Same as `Set.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedSize()` Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.lang.Object[]` `checkedToArray()` Same as `Set.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray(java.lang.Object[] array)` Same as `Set.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `contains(java.lang.Object value)`
`boolean` `containsAll(java.util.Collection collection)`
`boolean` `isEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.
`java.util.Iterator` `iterator()`
`int` `size()` Same semantics as `Collection.size()` or `Map.size()`.
`java.lang.Object[]` `toArray()`
`java.lang.Object[]` `toArray(java.lang.Object[] array)`

Methods inherited from class org.codehaus.plexus.collections.AbstractActiveSet
`add, addAll, checkedGetSet, clear, contextualize, enableLogging, getLogger, getRole, getSet, remove, removeAll, retainAll, setRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`getRole`

Methods inherited from interface java.util.Set
`add, addAll, clear, equals, hashCode, remove, removeAll, retainAll`

Methods inherited from interface org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable
`contextualize`

Methods inherited from interface org.codehaus.plexus.logging.LogEnabled
`enableLogging`

Constructor Detail

### DefaultActiveSet

    public DefaultActiveSet()

### DefaultActiveSet

    public DefaultActiveSet(org.codehaus.plexus.PlexusContainer container,
                            java.lang.Class role)

### DefaultActiveSet

    public DefaultActiveSet(org.codehaus.plexus.PlexusContainer container,
                            java.lang.String role)

Method Detail

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`

### containsAll

    public boolean containsAll(java.util.Collection collection)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  Specified by:
    `containsAll` in interface `java.util.Set`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.

  Specified by:
    `isEmpty` in interface `java.util.Collection`
  Specified by:
    `isEmpty` in interface `java.util.Set`
  Specified by:
    `isEmpty` in interface `ActiveCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`

### size

    public int size()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`.

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in interface `ActiveCollection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] array)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`

### checkedContains

    public boolean checkedContains(java.lang.Object value)
                            throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveSet`
  Same as `Set.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContains` in interface `ActiveSet`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsAll

    public boolean checkedContainsAll(java.util.Collection collection)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveSet`
  Same as `Set.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContainsAll` in interface `ActiveSet`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIsEmpty

    public boolean checkedIsEmpty()
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedIsEmpty` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedIterator

    public java.util.Iterator checkedIterator()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveSet`
  Same as `Set.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedIterator` in interface `ActiveSet`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedSize

    public int checkedSize()
                    throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedSize` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedToArray

    public java.lang.Object[] checkedToArray()
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveSet`
  Same as `Set.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedToArray` in interface `ActiveSet`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    public java.lang.Object[] checkedToArray(java.lang.Object[] array)
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveSet`
  Same as `Set.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedToArray` in interface `ActiveSet`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

Copyright © 2011. All Rights Reserved.